Gallery requires Flash Player Version 9.0 or above. Please visit Adobe to upgrade to the latest version.